import 'package:flutter/material.dart';
import 'package:resume/l10n/app_localizations.dart';

class LanguageWidget extends StatelessWidget {
  const LanguageWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Row(
          children: [
            Image.asset(
              'assets/de_icon.png',
              width: 50,
            ),
            const Padding(padding: EdgeInsets.only(right: 15)),
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(AppLocalizations.of(context)!.german,
                    style: Theme.of(context).textTheme.bodyLarge),
                Text(AppLocalizations.of(context)!.mother_tongue,
                    style: Theme.of(context).textTheme.bodyMedium),
              ],
            ),
          ],
        ),
        const Padding(padding: EdgeInsets.only(bottom: 8)),
        Row(
          children: [
            Image.asset(
              'assets/gb_icon.png',
              width: 50,
            ),
            const Padding(padding: EdgeInsets.only(right: 15)),
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(AppLocalizations.of(context)!.english,
                    style: Theme.of(context).textTheme.bodyLarge),
                Text(AppLocalizations.of(context)!.very_good,
                    style: Theme.of(context).textTheme.bodyMedium),
              ],
            ),
          ],
        ),
      ],
    );
  }
}
